$(function () {
    getData();
});

function getData() {
    $.ajax({
        type: 'post',
        async: false, // 默认异步true,false表示同步
        url: ctxPath + '/resStatistics/getMsgContent', // 请求地址
        dataType: 'json', // 服务器返回数据类型
        data: {
            type : 1
        }, //获取提交的表单字段
        success: function (data) {
            debugger;
            var data = data.data;//1数据已存在，2数据添加成功，3数据添加失败
            var dataJson = [];
            for (var i in data) {
                let l = data[i];
                let key = l.key;
                let value = l.value;
                let map = {
                    title:'预约人数：'+value +'人',
                    start:key
                }
                dataJson.push(map);
            }

            // [
            //     {
            //         title: '测试事件', // 事件标题
            //         start: '2023-06-10', // 事件开始日期
            //         end: '2023-06-12', // 事件结束日期
            //         eventClick: this.handleEventClick
            //     },
            //     {
            //         title: '测试事件222', // 事件标题
            //         start: '2023-06-13', // 事件开始日期
            //         end: '2023-06-14', // 事件结束日期
            //         eventClick: this.handleEventClick
            //     }
            // ]


            loadingData(dataJson);


        },
        error: function (XMLHttpRequest, textStatus, e) {
            layer.msg('数据请求发生异常,请稍后重试', {icon: 16, scrollbar: false});
        }
    });
}
function loadingData(data) {
    $('#calendar').fullCalendar({
        // 设置日历显示的日期范围为当前月份
        defaultView: 'month',
        // 禁止用户编辑日历
        editable: false,
        // 在日历头部显示按钮和菜单
        header: {
            left: 'prev,next today',
            center: 'title'
            //,right: 'month,agendaWeek,agendaDay,listWeek'
        },
        // 添加事件
        events: data,
        dayClick: function(event, jsEvent, view) {
            localStorage.setItem("reservationTimeChild", filterTime(event));
            let index = layer.open({
                title: ['预约', 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
                type: 2,
                content: './resStatisticsChildList.html',
                area: ['100%', '100%'],
                maxmin: false,
                btn: ['确定', '关闭'],
                success: function (layero, index) {
                    var myIframe = window[layero.find('iframe')[0]['name']];
                    var body=layer.getChildFrame('body',index);//少了这个是不能从父页面向子页面传值的
                },
                yes: function (index, layero) {
                },
                btn2: function (index, layero) {
                },
                end:function () {
                    localStorage.removeItem("reservationTimeChild");
                }
            });

        },
        width:60
    });
}


function filterTime(time){
    const date = new Date(time)
    const Y = date.getFullYear()
    const M = date.getMonth() + 1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1
    const D = date.getDate() < 10 ? '0'+date.getDate() : date.getDate();
    return `${Y}-${M}-${D}`;
}
